unit About_U;
// Description: About Dialog
// By Sarah Dean
// Email: sdean12@softhome.net
// WWW:   http://www.FreeOTFE.org/
//
// -----------------------------------------------------------------------------
//


interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,
  SDUURLLabel, ComCtrls;

type
  TAbout_F = class(TForm)
    pbOK: TButton;
    imIcon: TImage;
    lblAppID: TLabel;
    lblTitle: TLabel;
    lblBeta: TLabel;
    Label4: TLabel;
    Panel1: TPanel;
    Panel2: TPanel;
    SDUURLLabel1: TSDUURLLabel;
    reBlub: TRichEdit;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

implementation

{$R *.DFM}

uses
  ShellApi,  // Needed for ShellExecute
  SDUGeneral,
  AppGlobals;

const
  CRLF = #10+#10;

procedure TAbout_F.FormShow(Sender: TObject);
var
  majorVersion   : integer;
  minorVersion   : integer;
  revisionVersion: integer;
  buildVersion   : integer;
begin
  SDUGetVersionInfo('', majorVersion, minorVersion, revisionVersion, buildVersion);
  lblAppID.caption := 'v'+SDUGetVersionInfoString('');
  if APP_BETA_BUILD>-1 then
    begin
    lblAppID.caption := lblAppID.caption + ' BETA '+inttostr(APP_BETA_BUILD);
    end;

  lblBeta.visible := (APP_BETA_BUILD>-1);


  Panel1.caption := '';
  Panel2.caption := '';

end;

procedure TAbout_F.FormCreate(Sender: TObject);
begin
  self.Caption := 'About '+Application.Title;
  lblTitle.caption := Application.Title;
  imIcon.picture.graphic := Application.Icon;

  reBlub.Plaintext := TRUE;
  reBlub.readonly := TRUE;
  reBlub.scrollbars := ssNone;
  reBlub.Color := self.Color;
  reBlub.BorderStyle := bsNone;
  reBlub.Enabled := FALSE;

  reBlub.Lines.Text := 'Integrity Checker is a straightforward application that checks '+
                       'the integrity of your files to ensure they have not been tampered with.'+
                       CRLF+
                       'The files you select for protection will have their "known good" size '+
                       'stored together with a either a hash or HMAC generated from the contents '+
                       'of each file. By comparing this information with what is actually stored on '+
                       'your drives later, any changes will be flagged up for your attention.';

end;

END.


