unit Options;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmOptions = class(TForm)
    rgRegister: TRadioGroup;
    Label1: TLabel;
    pbOK: TButton;
    pbCancel: TButton;
    procedure pbCancelClick(Sender: TObject);
    procedure pbOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmOptions: TfrmOptions;

implementation

{$R *.DFM}

uses
  registry,
  SDUGeneral;

const
  FILE_EXTN = '.ic';
  MENUITEM = 'Integrity check';
  IC_ICON_NUMBER = 2;

procedure TfrmOptions.pbCancelClick(Sender: TObject);
begin
  Close();

end;


procedure TfrmOptions.pbOKClick(Sender: TObject);
begin
  case rgRegister.ItemIndex of
    0:
      begin
      SDUFileExtnRegCmd(FILE_EXTN, MENUITEM, '"'+ParamStr(0)+'" /load "%1"');
      SDUFileExtnRegIcon(FILE_EXTN, ParamStr(0), IC_ICON_NUMBER);
      end;

    1:
      begin
      SDUFileExtnRegCmd(FILE_EXTN, MENUITEM, '"'+ParamStr(0)+'" /load "%1" /check');
      SDUFileExtnRegIcon(FILE_EXTN, ParamStr(0), IC_ICON_NUMBER);
      end;

    2:
      begin
      SDUFileExtnUnregCmd(FILE_EXTN, MENUITEM);
      SDUFileExtnUnregIcon(FILE_EXTN);
      end;

  end;

  Close();

end;

procedure TfrmOptions.FormShow(Sender: TObject);
var
  registry: TRegistry;
  cmd: string;
begin
  registry:= TRegistry.Create();
  try
    registry.RootKey := HKEY_CLASSES_ROOT;
    registry.Access := KEY_READ;

    if not(registry.KeyExists('\'+FILE_EXTN+'\shell\'+MENUITEM+'\command')) then
      begin
      rgRegister.ItemIndex := 2;
      end
    else
      begin
      if registry.OpenKey('\'+FILE_EXTN+'\shell\'+MENUITEM+'\command', FALSE) then
        begin
        cmd := registry.ReadString('');

        if (Pos('check', cmd) > 0) then
          begin
          rgRegister.ItemIndex := 1;
          end
        else
          begin
          rgRegister.ItemIndex := 0;
          end;

        registry.CloseKey();
        end;

      end;

  finally
    registry.Free();
  end;

end;



END.

