unit Report;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls;

type
  TfrmReport = class(TForm)
    reReport: TRichEdit;
    SaveDialog: TSaveDialog;
    pnlCentering: TPanel;
    pbClose: TButton;
    pbSave: TButton;
    procedure FormCreate(Sender: TObject);
    procedure pbSaveClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
  public
    procedure SetTitle(title: string);
    procedure SetReport(report: TStringList);
  end;

implementation

{$R *.DFM}

procedure TfrmReport.FormCreate(Sender: TObject);
begin
  reReport.PlainText := TRUE;
  reReport.Wordwrap := FALSE;
  reReport.Lines.Clear();

  pnlCentering.BevelInner := bvNone;
  pnlCentering.BevelOuter := bvNone;
  pnlCentering.Caption := '';
end;

procedure TfrmReport.SetReport(report: TStringList);
begin
  reReport.Lines.Assign(report);

end;


procedure TfrmReport.SetTitle(title: string);
begin
  self.Caption := title;
end;


procedure TfrmReport.pbSaveClick(Sender: TObject);
begin
  if SaveDialog.Execute() then
    begin
    reReport.Lines.SaveToFile(SaveDialog.Filename);
    end;

end;

procedure TfrmReport.FormResize(Sender: TObject);
begin
  pnlCentering.Left := (self.width - pnlCentering.width) div 2;

end;

END.

